# studio::Widget_CompSelect Class Reference

`#include <widget_compselect.h>`

List of all members.

## Public Member Functions

| Widget_CompSelect ()
| ~Widget_CompSelect ()
etl::loose_handle < studio::Instance > | get_selected_instance ()
void | refresh ()

## Constructor & Destructor Documentation

Widget_CompSelect::Widget_CompSelect | ( |  | ) |

References refresh(), studio::App::signal_instance_created(), studio::App::signal_instance_deleted(), and studio::App::signal_instance_selected().

Widget_CompSelect::~Widget_CompSelect | ( |  | ) |

## Member Function Documentation

etl::loose_handle<studio::Instance> studio::Widget_CompSelect::get_selected_instance | ( |  | ) | `[inline]`

void Widget_CompSelect::refresh | ( |  | ) |

References studio::App::instance_list, studio::App::set_selected_instance(), and studio::App::shutdown_in_progress.

Referenced by Widget_CompSelect().

The documentation for this class was generated from the following files:

- widget_compselect.h
- widget_compselect.cpp